Bug 750771 - upgraded from f15 to f16 RC2, bluetooth did not work until more bluez packages were installed
upgraded from f15 to f16 RC2, bluetooth did not work until more bluez package...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
16
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-02 06:57 EDT by Brian Millett
Modified: 2013-02-13 06:49 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 06:49:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Millett 2011-11-02 06:57:19 EDT
Description of problem:

Upgraded from F15 to F16 RC2.  After upgrade, bluetooth faid to work.  Could not enable from System Settings.  Was working fine in F15

Version-Release number of selected component (if applicable):
LSB Version:	:core-4.0-amd64:core-4.0-noarch
Distributor ID:	Fedora
Description:	Fedora release 16 (Verne)
Release:	16
Codename:	Verne

Laptop is a Dell E6500 with bluetooth builtin

Packages installed at upgrade time:
bluefish-shared-data-2.0.3-4.fc16.noarch
bluez-4.96-3.fc16.x86_64
bluez-libs-4.96-3.fc16.x86_64
bluefish-2.0.3-4.fc16.x86_64
bluez-cups-4.96-3.fc16.x86_64
pulseaudio-module-bluetooth-0.9.23-1.fc16.x86_64
blueman-1.21-10.fc16.x86_64
bluecurve-cursor-theme-8.0.2-6.fc15.noarch
gnome-bluetooth-3.2.1-2.fc16.x86_64
gnome-bluetooth-libs-3.2.1-2.fc16.x86_64

How reproducible:

just once.  I can only upgrade once.  But bluetooth was 100% disabled

Steps to Reproduce:
1.
2.upgrade from F15 to F16 RC2
3.
  
Actual results:

Did not work.  The bluez packages have been split out.  The upgrade should have installed sufficient packages to enable bluetooth functionality 

Expected results:

Should have been handled during the upgrade.

Additional info:

From the /var/log/messages:

Nov  1 06:22:26 dufus bluetoothd[3269]: Starting SDP server
Nov  1 06:22:26 dufus bluetoothd[3269]: bluetoothd[3269]: Starting SDP server
Nov  1 06:22:26 dufus kernel: [  375.530987] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
Nov  1 06:22:26 dufus kernel: [  375.530989] Bluetooth: BNEP filters: protocol multicast
Nov  1 06:22:26 dufus bluetoothd[3269]: Parsing /etc/bluetooth/input.conf failed: No such file or directory
Nov  1 06:22:26 dufus bluetoothd[3269]: Parsing /etc/bluetooth/audio.conf failed: No such file or directory
Nov  1 06:22:26 dufus bluetoothd[3269]: bluetoothd[3269]: Parsing /etc/bluetooth/input.conf failed: No such file or directory
Nov  1 06:22:26 dufus bluetoothd[3269]: bluetoothd[3269]: Parsing /etc/bluetooth/audio.conf failed: No such file or directory


I was able to get bluetooth working again after I found that the bluez packages were not all installed.  After installing:

bluez-compat-4.96-3.fc16.x86_64
bluez-hcidump-2.1-1.fc16.x86_64
bluez-gstreamer-4.96-3.fc16.x86_64
bluez-hid2hci-4.96-3.fc16.x86_64
bluez-alsa-4.96-3.fc16.x86_64

bluetooth worked correctly
Comment 1 Fedora End Of Life 2013-01-16 07:01:35 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 06:49:45 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.